# bij

`bij` is a remote deploy tool for NixOS similar to [colmena]().
It tries to work without extra configuration with a Nix Flake exposing `nixosConfigurations`.

## Usage

Deploy configuration of host `astatine`.

```
bij apply astatine
```

By default the FQDN of the host is used as the host addresse, but you can specify your own.

```
bij apply astatine --target 192.168.187.6
```

Normally the flake of the current working directory is used. But you can specify a custom path.

```
bij --flake /etc/nixos apply astatine
```

Sometimes it is required to execute some commands on a host directly.

```
bij exec astatine -- hostname
```
